/*	Copyright (C) 2003-2015 Free Electron Organization
	Any use of this software requires a license.  If a valid license
	was not distributed with this file, visit freeelectron.org. */

/** @file */

#include "network/network.pmh"
#include "platform/dlCore.cc"

using namespace fe;

extern "C"
{

FE_DL_EXPORT void ListDependencies(List<String*>& list)
{
}

FE_DL_EXPORT Library *CreateLibrary(sp<Master> spMaster)
{
	Library *pLibrary = new Library();
	pLibrary->add<BSDServer>("ServerI.BSDServer.fe");
	pLibrary->add<BSDClient>("ClientI.BSDClient.fe");
	return CreateNetworkLibrary(spMaster);
}

FE_DL_EXPORT void InitializeLibrary(sp<Library> spLibrary)
{
}

}

